(function ($) {

    document.addEventListener("deviceready", onDeviceReady, false);

    function onDeviceReady() {

        var ctrl = controller();

        ctrl.showLoading(true);

        if (ctrl.checkConnection() == true) {

            ctrl.goToSite();
        }
        else {

            ctrl.showLoading(false);

            $(".noconnection input[type=button]").click(function (e) {

                e.preventDefault();

                ctrl.showLoading(true);

                if (ctrl.checkConnection() == true) {
                    ctrl.goToSite();
                }
                else {
                    ctrl.showLoading(false);
                }
            })
        }
    }


    var controller = function () {

        function _checkConnection() {

            var networkState = navigator.connection.type;

            return networkState != Connection.NONE;

        }

        function _goToSite() {

            // legge i dati del dispositivo
            var form = $(".frmstart");

            form.find(".devicename").val(device.model);
            form.find(".devicecordova").val(device.cordova);
            form.find(".deviceplatform").val(device.platform);
            form.find(".deviceversion").val(device.version);


            form.submit();


        }

        function _showLoading(show) {
            if (show) {
                $(".noconnection").hide();
                $(".wait").show();
            }
            else {
                $(".noconnection").show();
                $(".wait").hide();
            }
        }

        return {
            checkConnection: _checkConnection,
            goToSite: _goToSite,
            showLoading: _showLoading
        }

    }


})(jQuery);